{
    "variants": {
        "shape=north_south": [
            { "model": "block/custom_rail" },
            { "model": "block/custom_rail2" },
            { "model": "block/custom_rail3" },
            { "model": "block/custom_rail4" }
        ],
        "shape=east_west": [
            { "model": "block/custom_rail", "y": 90 , "weight": 6 },
            { "model": "block/custom_rail2", "y": 90 , "weight": 5 },
            { "model": "block/custom_rail3", "y": 90 , "weight": 1 },
            { "model": "block/custom_rail4", "y": 90 , "weight": 1 }
        ],
        "shape=ascending_east": { "model": "block/custom_rail_raised", "y": 270 },
        "shape=ascending_west": { "model": "block/custom_rail_raised", "y": 90 },
        "shape=ascending_north": { "model": "block/custom_rail_raised", "y": 180 },
        "shape=ascending_south": { "model": "block/custom_rail_raised" },
        "shape=south_east": [
            { "model": "block/custom_rail_curved", "y": 180, "weight": 6 },
            { "model": "block/custom_rail_curved2", "y": 180, "weight": 1 },
            { "model": "block/custom_rail_curved3", "y": 180, "weight": 4 }
        ],
        "shape=south_west": [
            { "model": "block/custom_rail_curved", "y": 270, "weight": 6 },
            { "model": "block/custom_rail_curved2", "y": 270, "weight": 1 },
            { "model": "block/custom_rail_curved3", "y": 270, "weight": 4 }
        ],
        "shape=north_west": [
            { "model": "block/custom_rail_curved", "weight": 6 },
            { "model": "block/custom_rail_curved2", "weight": 1 },
            { "model": "block/custom_rail_curved3", "weight": 4 }
        ],
        "shape=north_east": [
            { "model": "block/custom_rail_curved", "y": 90, "weight": 6 },
            { "model": "block/custom_rail_curved2", "y": 90, "weight": 1 },
            { "model": "block/custom_rail_curved3", "y": 90, "weight": 4 }
        ]
    }
}
